"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns a cloneable copy of the given file.
 * @internal
 */
function cloneFile(file) {
    let { contents } = file;
    let transferList;
    let clone = {
        path: file.path,
        source: String(file.source || ""),
        sourceMap: file.sourceMap,
        createdAt: file.createdAt,
        modifiedAt: file.modifiedAt,
        metadata: file.metadata,
        contents,
    };
    if (contents.byteLength === contents.buffer.byteLength) {
        // The contents buffer has its own ArrayBuffer (as opposed to a slice of a shared ArrayBuffer).
        // So it's safe to transfer the entire ArrayBuffer across the thread boundary.
        transferList = [contents.buffer];
    }
    return [clone, transferList];
}
exports.cloneFile = cloneFile;
//# sourceMappingURL=clone-file.js.map